
namespace Stat.Cache
{
    public class CacheFatory
    {
        /// <summary>
        /// 我的缓存管理
        /// </summary>
        /// <returns></returns>
        public static IRemoveCache CreateRemoveCache()
        {
            return new RemoveCache();
        }
        /// <summary>
        /// 系统配置信息
        /// </summary>
        /// <returns></returns>
        public static IConfig CreateConfig()
        {
            return new Config();
        }
        /// <summary>
        /// 广告
        /// </summary>
        /// <returns></returns>
        public static IAd CreateAd()
        {
            return new Ad();
        }
        /// <summary>
        /// 公告
        /// </summary>
        /// <returns></returns>
        public static INotify CreateNotify()
        {
            return new Notify();
        }
        /// <summary>
        /// 新闻
        /// </summary>
        /// <returns></returns>
        public static INews CreateNews()
        {
            return new News();
        }
        /// <summary>
        /// 反馈信息
        /// </summary>
        /// <returns></returns>
        public static IMessage CreateMessage()
        {
            return new Message();
        }
        /// <summary>
        /// 导航条
        /// </summary>
        /// <returns></returns>
        public static INavigate CreateNavigate()
        {
            return new Navigate();
        }
        /// <summary>
        /// 公司信息
        /// </summary>
        /// <returns></returns>
        public static ICompany CreateCompany()
        {
            return new Company();
        }
        /// <summary>
        /// 站点信息
        /// </summary>
        /// <returns></returns>
        public static IWebSite CreateWebSite()
        {
            return new WebSite();
        }
    }
}
